Source: libmoosex-types-netaddr-ip-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>
Section: perl
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
                     libmodule-runtime-perl,
                     libmoose-perl,
                     libmoosex-types-perl,
                     libnamespace-clean-perl,
                     libnetaddr-ip-perl,
                     libtest-exception-perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-types-netaddr-ip-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-types-netaddr-ip-perl.git
Homepage: https://metacpan.org/release/MooseX-Types-NetAddr-IP

Package: libmoosex-types-netaddr-ip-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libmodule-runtime-perl,
         libmoose-perl,
         libmoosex-types-perl,
         libnamespace-clean-perl,
         libnetaddr-ip-perl
Description: Moose extension for NetAddr::IP type constraints
 MooseX::Types::NetAddr::IP provides IP Address type constraints and coercions
 for Moose, based on NetAddr::IP (see libnet-addr-ip-perl). It provides three
 subtypes: NetAddrIPv4 and NetAddrIPv6 (which must be IPv4 and IPv6 addresses
 respectively) as well as NetAddrIP (which may be an IPv4 or IPv6 address).
